summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTristan Heaven <nyhm@gentoo.org>2007-01-06 00:05:30 +0000
committerTristan Heaven <nyhm@gentoo.org>2007-01-06 00:05:30 +0000
commit1889430d564b441ec534ff3b4d6ee8577477c440 (patch)
tree97593c0bc11848d82088ff2d4d57eab472210f69 /games-strategy/outerspace/files
parentAdded pkgconfig dep to gajim-0.10.1 ebuild wrt bug #152529 (diff)
downloadgentoo-2-1889430d564b441ec534ff3b4d6ee8577477c440.tar.gz
gentoo-2-1889430d564b441ec534ff3b4d6ee8577477c440.tar.bz2
gentoo-2-1889430d564b441ec534ff3b4d6ee8577477c440.zip
more quoting
(Portage version: 2.1.2_rc4-r5)
Diffstat (limited to 'games-strategy/outerspace/files')
-rw-r--r--games-strategy/outerspace/files/outerspace16
1 files changed, 7 insertions, 9 deletions
diff --git a/games-strategy/outerspace/files/outerspace b/games-strategy/outerspace/files/outerspace
index abcadba78142..2a6bbe26dafb 100644
--- a/games-strategy/outerspace/files/outerspace
+++ b/games-strategy/outerspace/files/outerspace
@@ -1,11 +1,9 @@
-#! /bin/sh
+#!/bin/bash
+
+mkdir -p ~/.outerspace
+cd ~/.outerspace || exit 1
+
+ln -sf "@GENTOO_LIBDIR@"/{osc.py,lib,libsrvr} .
+ln -sf "@GENTOO_DATADIR@"/res .
-if [ ! -e $HOME/.outerspace ]
-then
- echo "First run - copying files to $HOME/.outerspace"
- mkdir $HOME/.outerspace
- ln -s @GENTOO_LIBDIR@/{osc.py,lib,libsrvr} $HOME/.outerspace/
- ln -s @GENTOO_DATADIR@/res $HOME/.outerspace/
-fi
-cd $HOME/.outerspace
exec python osc.py "$@"